body {
    background-color: #000000;
    color: #cccccc;
    font-family: sans-serif;
    font-size: 18px;
}

a, h1, h2, h3 {
    color: #eeeeee;
}

h1, h2, h3 {
    font-weight: bold;
}

main > h1 {
    font-size: 2em;
}

main > h2 {
    font-size: 1.7em;
}

main > h3 {
    font-size: 1.4em;
}

main > h4 {
    font-size: 1.1em;
}

main > h1.prose {
    padding-left: 0;
}

main > h2.prose {
    padding-left: 5px;
}

main > h3.prose {
    padding-left: 10px;
}

main > h4.prose {
    padding-left: 15px;
}

p.prose {
    padding: 0 20px;
}

main {
    padding: 0 10% 10px 10%;
}

@media screen and (max-device-width: 1000px) {
    main {
        padding: 0 5% 10px 5%;
    }
}

@media screen and (max-device-width: 600px) {
    main {
        padding: 0 10px 10px 10px;
    }
}

.milestones {
    padding: 0 20px;
}

.milestone {
    width: 100%;
}

.milestone__box {
    background-color: #3b3a3d;
    border-radius: 4px;
    box-shadow: 0 -1px #444444;
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 4px 6px;
}

.milestone__box__progress-bar-background {
    background-color: #282828;
    border-radius: 2px;
    box-shadow: inset 0 1px #222, inset 0 -1px #444444;
    height: 30px;
    margin-left: 8px;
    margin-right: 8px;
    padding: 2px 2px 3px 2px;
}

.milestone__box__progress-bar-background__progress-bar-foreground {
    background-color: #229922;
    border-radius: 2px;
    height: 100%;
    box-shadow: inset 0 -1px 1px #208020, inset 0 1px #24a024;
}

.milestone__box__description {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.milestone__box__title,
.milestone__box__title p,
.milestone__box__description p {
    margin: 0;
}

.milestone__children {
    padding-left: 5em;
}

.milestone,
.milestone__children {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

@media screen and (max-device-width: 800px) {
    .milestone__box__description {
        flex-direction: column;
    }

    .milestone__children {
        padding-left: 2em;
    }
}
